import request from '@/utils/request'

// 查询日常日志列表
export function listDial(query) {
  return request({
    url: '/drivingSchool/system/dial/list',
    method: 'get',
    params: query
  })
}

// 查询日常日志详细
export function getDial(id) {
  return request({
    url: '/drivingSchool/system/dial/' + id,
    method: 'get'
  })
}

// 新增日常日志
export function addDial(data) {
  return request({
    url: '/drivingSchool/system/dial',
    method: 'post',
    data: data
  })
}

// 修改日常日志
export function updateDial(data) {
  return request({
    url: '/drivingSchool/system/dial',
    method: 'put',
    data: data
  })
}

// 删除日常日志
export function delDial(id) {
  return request({
    url: '/drivingSchool/system/dial/' + id,
    method: 'delete'
  })
}
